# -*- po -*-
# English translations for Groonga package.
# Copyright (C) 2009-2015, Brazil, Inc
# This file is distributed under the same license as the Groonga package.
# Automatically generated, 2015.
#
msgid ""
msgstr ""
"Project-Id-Version: Groonga 5.0.5\n"
"Report-Msgid-Bugs-To: \n"
"PO-Revision-Date: 2015-06-24 14:55+0900\n"
"Last-Translator: Automatically generated\n"
"Language-Team: none\n"
"Language: en\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

# cd839f48e86a46798a3c4bd79fbe748d
msgid "Characteristics of Groonga"
msgstr "Characteristics of Groonga"

# 93a44b72fe49470ea264a22d97df059c
msgid "Groonga overview"
msgstr "Groonga overview"

# 96b222b9b70645079c2f316ff552d42f
msgid ""
"Groonga is a fast and accurate full text search engine based on inverted "
"index. One of the characteristics of Groonga is that a newly registered "
"document instantly appears in search results. Also, Groonga allows updates "
"without read locks. These characteristics result in superior performance on "
"real-time applications."
msgstr ""
"Groonga is a fast and accurate full text search engine based on inverted "
"index. One of the characteristics of Groonga is that a newly registered "
"document instantly appears in search results. Also, Groonga allows updates "
"without read locks. These characteristics result in superior performance on "
"real-time applications."

# ff1ccda8aba048ff8b7590caa5379e2f
msgid ""
"Groonga is also a column-oriented database management system (DBMS). "
"Compared with well-known row-oriented systems, such as MySQL and PostgreSQL, "
"column-oriented systems are more suited for aggregate queries. Due to this "
"advantage, Groonga can cover weakness of row-oriented systems."
msgstr ""
"Groonga is also a column-oriented database management system (DBMS). "
"Compared with well-known row-oriented systems, such as MySQL and PostgreSQL, "
"column-oriented systems are more suited for aggregate queries. Due to this "
"advantage, Groonga can cover weakness of row-oriented systems."

# d13a748936e0477cab183ffb346c7959
msgid ""
"The basic functions of Groonga are provided in a C library. Also, libraries "
"for using Groonga in other languages, such as Ruby, are provided by related "
"projects. In addition, groonga-based storage engines are provided for MySQL "
"and PostgreSQL. These libraries and storage engines allow any application to "
"use Groonga. See `usage examples <http://groonga.org/users/>`_."
msgstr ""
"The basic functions of Groonga are provided in a C library. Also, libraries "
"for using Groonga in other languages, such as Ruby, are provided by related "
"projects. In addition, groonga-based storage engines are provided for MySQL "
"and PostgreSQL. These libraries and storage engines allow any application to "
"use Groonga. See `usage examples <http://groonga.org/users/>`_."

# 8b2d15562d014892950a3f761ab57d35
msgid "Full text search and Instant update"
msgstr "Full text search and Instant update"

# 4611d5eccc65461b90aca04c0d7dcb01
msgid ""
"In widely used DBMSs, updates are immediately processed, for example, a "
"newly registered record appears in the result of the next query. In "
"contrast, some full text search engines do not support instant updates, "
"because it is difficult to dynamically update inverted indexes, the "
"underlying data structure."
msgstr ""
"In widely used DBMSs, updates are immediately processed, for example, a "
"newly registered record appears in the result of the next query. In "
"contrast, some full text search engines do not support instant updates, "
"because it is difficult to dynamically update inverted indexes, the "
"underlying data structure."

# 6a6011afd4ae4d3b8606b217df8eaffb
msgid ""
"Groonga also uses inverted indexes but supports instant updates. In "
"addition, Groonga allows you to search documents even when updating the "
"document collection. Due to these superior characteristics, Groonga is very "
"flexible as a full text search engine. Also, Groonga always shows good "
"performance because it divides a large task, inverted index merging, into "
"smaller tasks."
msgstr ""
"Groonga also uses inverted indexes but supports instant updates. In "
"addition, Groonga allows you to search documents even when updating the "
"document collection. Due to these superior characteristics, Groonga is very "
"flexible as a full text search engine. Also, Groonga always shows good "
"performance because it divides a large task, inverted index merging, into "
"smaller tasks."

# 4ac097c6db6d46029ed705170724321f
msgid "Column store and aggregate query"
msgstr "Column store and aggregate query"

# 78156d60b50f4d4199b160684c2138c4
msgid ""
"People can collect more than enough data in the Internet era. However, it is "
"difficult to extract informative knowledge from a large database, and such a "
"task requires a many-sided analysis through trial and error. For example, "
"search refinement by date, time and location may reveal hidden patterns. "
"Aggregate queries are useful to perform this kind of tasks."
msgstr ""
"People can collect more than enough data in the Internet era. However, it is "
"difficult to extract informative knowledge from a large database, and such a "
"task requires a many-sided analysis through trial and error. For example, "
"search refinement by date, time and location may reveal hidden patterns. "
"Aggregate queries are useful to perform this kind of tasks."

# 766b4283c25d4f8dbad286ff6b181e2a
msgid ""
"An aggregate query groups search results by specified column values and then "
"counts the number of records in each group. For example, an aggregate query "
"in which a location column is specified counts the number of records per "
"location. Making a graph from the result of an aggregate query against a "
"date column is an easy way to visualize changes over time. Also, a "
"combination of refinement by location and an aggregate query against a date "
"column allows visualization of changes over time in specific location. Thus "
"refinement and aggregation are important to perform data mining."
msgstr ""
"An aggregate query groups search results by specified column values and then "
"counts the number of records in each group. For example, an aggregate query "
"in which a location column is specified counts the number of records per "
"location. Making a graph from the result of an aggregate query against a "
"date column is an easy way to visualize changes over time. Also, a "
"combination of refinement by location and an aggregate query against a date "
"column allows visualization of changes over time in specific location. Thus "
"refinement and aggregation are important to perform data mining."

# abd5128b94ff444396fadfbb150f0fd7
msgid ""
"A column-oriented architecture allows Groonga to efficiently process "
"aggregate queries because a column-oriented database, which stores records "
"by column, allows an aggregate query to access only a specified column. On "
"the other hand, an aggregate query on a row-oriented database, which stores "
"records by row, has to access neighbor columns, even though those columns "
"are not required."
msgstr ""
"A column-oriented architecture allows Groonga to efficiently process "
"aggregate queries because a column-oriented database, which stores records "
"by column, allows an aggregate query to access only a specified column. On "
"the other hand, an aggregate query on a row-oriented database, which stores "
"records by row, has to access neighbor columns, even though those columns "
"are not required."

# d4682cfc30c5464a8d906e0b9f6bba33
msgid "Inverted index and tokenizer"
msgstr "Inverted index and tokenizer"

# 3bc0c7e21fdb4cf2bda1c3de5c4646bc
msgid ""
"An inverted index is a traditional data structure used for large-scale full "
"text search. A search engine based on inverted index extracts index terms "
"from a document when it is added. Then in retrieval, a query is divided into "
"index terms to find documents containing those index terms. In this way, "
"index terms play an important role in full text search and thus the way of "
"extracting index terms is a key to a better search engine."
msgstr ""
"An inverted index is a traditional data structure used for large-scale full "
"text search. A search engine based on inverted index extracts index terms "
"from a document when it is added. Then in retrieval, a query is divided into "
"index terms to find documents containing those index terms. In this way, "
"index terms play an important role in full text search and thus the way of "
"extracting index terms is a key to a better search engine."

# 3e2e0cabf5954d69807c25c171d1bb0a
msgid ""
"A tokenizer is a module to extract index terms. A Japanese full text search "
"engine commonly uses a word-based tokenizer (hereafter referred to as a word "
"tokenizer) and/or a character-based n-gram tokenizer (hereafter referred to "
"as an n-gram tokenizer). A word tokenizer-based search engine is superior in "
"time, space and precision, which is the fraction of relevant documents in a "
"search result. On the other hand, an n-gram tokenizer-based search engine is "
"superior in recall, which is the fraction of retrieved documents in the "
"perfect search result. The best choice depends on the application in "
"practice."
msgstr ""
"A tokenizer is a module to extract index terms. A Japanese full text search "
"engine commonly uses a word-based tokenizer (hereafter referred to as a word "
"tokenizer) and/or a character-based n-gram tokenizer (hereafter referred to "
"as an n-gram tokenizer). A word tokenizer-based search engine is superior in "
"time, space and precision, which is the fraction of relevant documents in a "
"search result. On the other hand, an n-gram tokenizer-based search engine is "
"superior in recall, which is the fraction of retrieved documents in the "
"perfect search result. The best choice depends on the application in "
"practice."

# 050c3d14258d496fbe8a44de45e30729
msgid ""
"Groonga supports both word and n-gram tokenizers. The simplest built-in "
"tokenizer uses spaces as word delimiters. Built-in n-gram tokenizers (n = 1, "
"2, 3) are also available by default. In addition, a yet another built-in "
"word tokenizer is available if MeCab, a part-of-speech and morphological "
"analyzer, is embedded. Note that a tokenizer is pluggable and you can "
"develop your own tokenizer, such as a tokenizer based on another part-of-"
"speech tagger or a named-entity recognizer."
msgstr ""
"Groonga supports both word and n-gram tokenizers. The simplest built-in "
"tokenizer uses spaces as word delimiters. Built-in n-gram tokenizers (n = 1, "
"2, 3) are also available by default. In addition, a yet another built-in "
"word tokenizer is available if MeCab, a part-of-speech and morphological "
"analyzer, is embedded. Note that a tokenizer is pluggable and you can "
"develop your own tokenizer, such as a tokenizer based on another part-of-"
"speech tagger or a named-entity recognizer."

# 35e0ab27c9274faf99d27dde72664422
msgid "Sharable storage and read lock-free"
msgstr "Sharable storage and read lock-free"

# 562c5c7be5464ee2a3c36844cdc48da3
msgid ""
"Multi-core processors are mainstream today and the number of cores per "
"processor is increasing. In order to exploit multiple cores, executing "
"multiple queries in parallel or dividing a query into sub-queries for "
"parallel processing is becoming more important."
msgstr ""
"Multi-core processors are mainstream today and the number of cores per "
"processor is increasing. In order to exploit multiple cores, executing "
"multiple queries in parallel or dividing a query into sub-queries for "
"parallel processing is becoming more important."

# 52615ec78c204dedac975ecfa0e0511c
msgid ""
"A database of Groonga can be shared with multiple threads/processes. Also, "
"multiple threads/processes can execute read queries in parallel even when "
"another thread/process is executing an update query because Groonga uses "
"read lock-free data structures. This feature is suited to a real-time "
"application that needs to update a database while executing read queries. In "
"addition, Groonga allows you to build flexible systems. For example, a "
"database can receive read queries through the built-in HTTP server of "
"Groonga while accepting update queries through MySQL."
msgstr ""
"A database of Groonga can be shared with multiple threads/processes. Also, "
"multiple threads/processes can execute read queries in parallel even when "
"another thread/process is executing an update query because Groonga uses "
"read lock-free data structures. This feature is suited to a real-time "
"application that needs to update a database while executing read queries. In "
"addition, Groonga allows you to build flexible systems. For example, a "
"database can receive read queries through the built-in HTTP server of "
"Groonga while accepting update queries through MySQL."

# f6a65cae74c5402cb7ddb5c95407f440
msgid "Geo-location (latitude and longitude) search"
msgstr "Geo-location (latitude and longitude) search"

# 3e435bbae36741ec87923150bb407460
msgid ""
"Location services are getting more convenient because of mobile devices with "
"GPS. For example, if you are going to have lunch or dinner at a nearby "
"restaurant, a local search service for restaurants may be very useful, and "
"for such services, fast geo-location search is becoming more important."
msgstr ""
"Location services are getting more convenient because of mobile devices with "
"GPS. For example, if you are going to have lunch or dinner at a nearby "
"restaurant, a local search service for restaurants may be very useful, and "
"for such services, fast geo-location search is becoming more important."

# 09b5c585d5fa4386b79948d9f76d3126
msgid ""
"Groonga provides inverted index-based fast geo-location search, which "
"supports a query to find points in a rectangle or circle. Groonga gives high "
"priority to points near the center of an area. Also, Groonga supports "
"distance measurement and you can sort points by distance from any point."
msgstr ""
"Groonga provides inverted index-based fast geo-location search, which "
"supports a query to find points in a rectangle or circle. Groonga gives high "
"priority to points near the center of an area. Also, Groonga supports "
"distance measurement and you can sort points by distance from any point."

# 611b4c50b54847f2b8efe478a8479534
msgid "Groonga library"
msgstr "Groonga library"

# a9d2a97a10e5440b94c6f7e25df41927
msgid ""
"The basic functions of Groonga are provided in a C library and any "
"application can use Groonga as a full text search engine or a column-"
"oriented database. Also, libraries for languages other than C/C++, such as "
"Ruby, are provided in related projects. See `related projects <http://"
"groonga.org/related-projects.html>`_ for details."
msgstr ""
"The basic functions of Groonga are provided in a C library and any "
"application can use Groonga as a full text search engine or a column-"
"oriented database. Also, libraries for languages other than C/C++, such as "
"Ruby, are provided in related projects. See `related projects <http://"
"groonga.org/related-projects.html>`_ for details."

# e71cab5c01c246f3b6ccff4e5221de9d
msgid "Groonga server"
msgstr "Groonga server"

# e601d4a9906c400ab599155dfbeca088
msgid ""
"Groonga provides a built-in server command which supports HTTP, the "
"memcached binary protocol and the Groonga Query Transfer Protocol (:doc:`/"
"spec/gqtp`). Also, a Groonga server supports query caching, which "
"significantly reduces response time for repeated read queries. Using this "
"command, Groonga is available even on a server that does not allow you to "
"install new libraries."
msgstr ""
"Groonga provides a built-in server command which supports HTTP, the "
"memcached binary protocol and the Groonga Query Transfer Protocol (:doc:`/"
"spec/gqtp`). Also, a Groonga server supports query caching, which "
"significantly reduces response time for repeated read queries. Using this "
"command, Groonga is available even on a server that does not allow you to "
"install new libraries."

# 063b892cf4e746c8af15a7e92f6da074
msgid "Mroonga storage engine"
msgstr "Mroonga storage engine"

# 7a6a880eae2242c3a23db66f028ae662
msgid ""
"Groonga works not only as an independent column-oriented DBMS but also as "
"storage engines of well-known DBMSs. For example, `Mroonga <http://mroonga."
"org/>`_ is a MySQL pluggable storage engine using Groonga. By using Mroonga, "
"you can use Groonga for column-oriented storage and full text search. A "
"combination of a built-in storage engine, MyISAM or InnoDB, and a Groonga-"
"based full text search engine is also available. All the combinations have "
"good and bad points and the best one depends on the application. See "
"`related projects <http://groonga.org/related-projects.html>`_ for details."
msgstr ""
"Groonga works not only as an independent column-oriented DBMS but also as "
"storage engines of well-known DBMSs. For example, `Mroonga <http://mroonga."
"org/>`_ is a MySQL pluggable storage engine using Groonga. By using Mroonga, "
"you can use Groonga for column-oriented storage and full text search. A "
"combination of a built-in storage engine, MyISAM or InnoDB, and a Groonga-"
"based full text search engine is also available. All the combinations have "
"good and bad points and the best one depends on the application. See "
"`related projects <http://groonga.org/related-projects.html>`_ for details."
